
%global _hardened_build 1


Name:           timeshift
Version:        24.01.1
Release:        %mkrel 1
Summary:        System restore tool for Linux
Group:          Archiving/Backup
License:        GPLv3+ or LGPLv3+
URL:            https://github.com/teejee2008/timeshift
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:        timeshift-gtk.desktop
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  vala
Requires:       cronie
Requires:       hicolor-icon-theme
Requires:       polkit
Requires:       psmisc
Requires:       rsync

%description
Timeshift for Linux is an application that provides functionality similar to
the System Restore feature in Windows and the Time Machine tool in Mac OS.
Timeshift protects your system by taking incremental snapshots of the file
system at regular intervals. These snapshots can be restored at a later date
to undo all changes to the system.

In RSYNC mode, snapshots are taken using rsync and hard-links. Common files
are shared between snapshots which saves disk space. Each snapshot is a full
system backup that can be browsed with a file manager.

In BTRFS mode, snapshots are taken using the in-built features of the BTRFS
filesystem. BTRFS snapshots are supported only on BTRFS systems having an
Ubuntu-type subvolume layout (with @ and @home subvolumes).


%prep
%setup -q
%autopatch -p1

%build
%meson -Dxapp=false
%meson_build


%install
rm -rf %buildroot
%meson_install


# Remove duplicate
rm -rf %{buildroot}%{_datadir}/appdata

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/timeshift-gtk.desktop

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/%{name}
%{_mandir}
%ghost %attr(644, root, root) %{_sysconfdir}/cron.d/timeshift-boot
%ghost %attr(644, root, root) %{_sysconfdir}/cron.d/timeshift-hourly
%ghost %attr(664, root, root) %{_sysconfdir}/timeshift.json
%config %{_sysconfdir}/timeshift/default.json
%{_datadir}/pixmaps/timeshift.png

%changelog
* Thu Jan 04 2024 tex - 24.01.1-1pclos2024
- new version

* Fri Dec 29 2023 tex - 23.12.2-1pclos2024
- new version

* Mon Dec 04 2023 tex - 23.12.1-1pclos2023
- new version

* Sun Sep 03 2023 tex - 23.07.1-1pclos2023
- new version

* Tue Oct 18 2022 tex - 22.06.6-1pclos2022
- new version

* Fri Jun 04 2021 tex - 20.11.1-3pclos2021
- apply patch to fix ts with util-linux
